[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'TimePopup' (#lcl)

# TTimePopupForm.HoursGridSelectCell

Implements the OnSelectCell event handler for the hours grid on the form.

## Declaration

Source position: timepopup.pas line 43

`procedure TTimePopupForm.HoursGridSelectCell(`
`Sender: TObject;`
`aCol: Integer;`
`aRow: Integer;`
`var CanSelect: Boolean`
`);`

## Arguments

`Sender` |  | Object instance for the event notification.
`aCol` |  | Column number selected on the Hours grid.
`aRow` |  | Row number selected on the Hours grid.
`CanSelect` |  | Indicates whether the cell selection is allowed.

## Description

Sets CanSelect to False when 12-hour time values are used and the selected cell is not valid for the time format.

## Version info

Added in LCL version 4.4.